### 6.12 `wcscspn`—get length of a complementary wide substring

Synopsis

         #include <wchar.h>
         size_t wcscspn(const wchar_t *s, wchar_t *set);

Description
The `wcscspn` function computes the length of the maximum initial segment of the wide-character string pointed to by s which consists entirely of wide-character codes not from the wide-character string pointed to by set.

Returns
The `wcscspn` function returns the length of the initial substring of s1; no return value is reserved to indicate an error.

Portability
`wcscspn` is ISO/IEC 9899/AMD1:1995 (ISO C).

No supporting OS subroutines are required.